#
# spec file for package deepin-qt-dbus-factory
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%define libver 1
%define _name  dde-qt-dbus-factory

Name:           deepin-qt-dbus-factory
Version:        0.4.2
Release:        lp150.1.28
License:        GPL-3.0
Summary:        A repository storing auto-generated Qt5 D-Bus code
Url:            https://github.com/linuxdeepin/dde-qt-dbus-factory
Group:          Development/Libraries/C and C++
Source:         https://github.com/linuxdeepin/dde-qt-dbus-factory/archive/%{version}/%{_name}-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  gcc-c++
BuildRequires:  libqt5-qtbase-devel
BuildRequires:  libqt5-qtdeclarative-devel
BuildRequires:  libqt5-qttools-devel
BuildRequires:  libqt5-qtbase-private-headers-devel
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(Qt5WebKit)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(QtDBus)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
de-qt-dbus-factory is a repository storing auto-generated Qt5 D-Bus
code.

%package -n libdframeworkdbus%{libver}
Group:          System/Libraries
Summary:        A repository storing auto-generated Qt5 D-Bus code

%description -n libdframeworkdbus%{libver}
de-qt-dbus-factory is a repository storing auto-generated Qt5 D-Bus
code. This can help DDE developers not having to copy code from other
projects or re-generate code for the same D-Bus interface for new
projects.

%package -n libdframeworkdbus-devel
Group:          Development/Libraries/C and C++
Summary:        Development tools for libdframeworkdbus - deepin-qt-dbus-factory
Requires:       libdframeworkdbus%{libver} = %{version}

%description -n libdframeworkdbus-devel
de-qt-dbus-factory is a repository storing auto-generated Qt5 D-Bus
code.

The libdbusextended-devel package contains the header files and developer
docs for libdbusextended(deepin-qt-dbus-factory).

%prep
%setup -q -n %{_name}-%{version}

%build
%qmake5 DEFINES+=QT_NO_DEBUG_OUTPUT \
        PREFIX=%{_prefix} \
        LIB_INSTALL_DIR=%{_libdir}
make %{?_smp_mflags}

%install
%qmake5_install

%post -n libdframeworkdbus%{libver} -p /sbin/ldconfig

%postun -n libdframeworkdbus%{libver} -p /sbin/ldconfig

%files -n libdframeworkdbus%{libver}
%doc README LICENSE
%defattr(-,root,root)
%{_libdir}/libdframeworkdbus.so.*

%files -n libdframeworkdbus-devel
%defattr(-,root,root)
%{_includedir}/libdframeworkdbus-*
%{_libdir}/libdframeworkdbus.so
%{_libdir}/pkgconfig/dframeworkdbus.pc

%changelog
* Wed Dec 27 2017 jengelh@inai.de
- Trim filler wording from description. Fix RPM group.
* Wed Nov 29 2017 hillwood@opensuse.org
- Update to 0.4.2
  * update grub theme xml
  * Add imageblur interface
  * Update interface
* Fri Sep 29 2017 hillwood@opensuse.org
- Initial package.
